Mail archive
alpine-aports

[alpine-aports] [PATCH] main/zeromq: upgrade to 4.2.2

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 23 Mar 2017 11:09:37 +0200

- add check()
- cleanups
---
 main/zeromq/APKBUILD | 35 ++++++++++++++---------------------
 1 file changed, 14 insertions(+), 21 deletions(-)
diff --git a/main/zeromq/APKBUILD b/main/zeromq/APKBUILD
index 02c99c1c27..bba293fd83 100644
--- a/main/zeromq/APKBUILD
+++ b/main/zeromq/APKBUILD
_at_@ -1,25 +1,17 @@
 # Contributor: Natanael Copa <ncopa_at_alpinelinux.org>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=zeromq
-pkgver=4.1.5
-pkgrel=1
+pkgver=4.2.2
+pkgrel=0
 pkgdesc="The ZeroMQ messaging library and tools"
 url="http://www.zeromq.org/"
 arch="all"
 license="LGPLv3+ with exceptions"
-depends=""
-makedepends="util-linux-dev libsodium-dev perl python2 asciidoc xmlto
-	autoconf automake"
+makedepends="util-linux-dev libsodium-dev libunwind-dev
+	perl python2 asciidoc xmlto autoconf automake"
 subpackages="$pkgname-dev $pkgname-doc libzmq"
-source="https://github.com/zeromq/zeromq4-1/releases/download/v$pkgver/$pkgname-$pkgver.tar.gz"
-
-builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
-	cd "$builddir"
-	update_config_sub || return 1
-	default_prepare || return 1
-}
+source="https://github.com/zeromq/libzmq/releases/download/v$pkgver/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
 	cd "$builddir"
_at_@ -32,20 +24,21 @@ build() {
 		--infodir=/usr/share/info \
 		--with-libsodium \
 		|| return 1
-	make || return 1
+	make
+}
+
+check() {
+	make -C "$builddir" check
 }
 
 package() {
-	cd "$builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make -C "$builddir" DESTDIR="$pkgdir" install
 }
 
 libzmq() {
 	pkgdesc="The ZeroMQ messaging library"
-	install -d "$subpkgdir"/usr/lib
+	mkdir -p "$subpkgdir"/usr/lib || return 1
 	mv "$pkgdir"/usr/lib/libzmq.so.* "$subpkgdir"/usr/lib/
 }
 
-md5sums="e7adf4b7dbae09b28cfd10d26cd67fac  zeromq-4.1.5.tar.gz"
-sha256sums="04aac57f081ffa3a2ee5ed04887be9e205df3a7ddade0027460b8042432bdbcf  zeromq-4.1.5.tar.gz"
-sha512sums="b5098e7ea7fe7fdae75846a804d175bcb414a4f8212a15b9c1c2e52f3541aa603e773061db7ea92075e1f9f9be40572aba1c133b233a8ac2458bccf8427e407e  zeromq-4.1.5.tar.gz"
+sha512sums="d78813a61ce3311a1f8c230f7da0f5aedc97ef4b792afb6d398c5710da239348c0c7a67bdfeb38a7ab0282af498f1ed173649aff4add1bc35f0ef1b66f965443  zeromq-4.2.2.tar.gz"
-- 
2.12.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 23 2017 - 11:09:37 UTC